package com.rwk.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.rwk.common.annotation.Excel;
import com.rwk.common.core.domain.BaseEntity;

/**
 * 培训人员签到对象 rwk_meeting_staff
 *
 * @author ruoyi
 * @date 2024-12-05
 */
public class RwkMeetingStaff extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 教育培训会议标识 */
    @Excel(name = "教育培训会议标识")
    private Long meetingId;

    /** 人员姓名 */
    @Excel(name = "人员姓名")
    private String personnelName;

    /** 是否签到(1/0) */
    @Excel(name = "是否签到(1/0)")
    private Long isSign;

    /** 人员ID */
    @Excel(name = "人员ID")
    private String personnelId;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String mobilePhone;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setMeetingId(Long meetingId)
    {
        this.meetingId = meetingId;
    }

    public Long getMeetingId()
    {
        return meetingId;
    }

    public void setPersonnelName(String personnelName)
    {
        this.personnelName = personnelName;
    }

    public String getPersonnelName()
    {
        return personnelName;
    }

    public void setIsSign(Long isSign)
    {
        this.isSign = isSign;
    }

    public Long getIsSign()
    {
        return isSign;
    }

    public void setPersonnelId(String personnelId)
    {
        this.personnelId = personnelId;
    }

    public String getPersonnelId()
    {
        return personnelId;
    }

    public void setMobilePhone(String mobilePhone)
    {
        this.mobilePhone = mobilePhone;
    }

    public String getMobilePhone()
    {
        return mobilePhone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("meetingId", getMeetingId())
                .append("personnelName", getPersonnelName())
                .append("isSign", getIsSign())
                .append("personnelId", getPersonnelId())
                .append("mobilePhone", getMobilePhone())
                .toString();
    }
}
